﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using DotSpatial.Controls;
using KrigingPlugin;
using KrigingPlugin.Classes;
using MapWinPlugin;
using DotSpatial.Data;

namespace KrigingPlugin.Forms
{
    public partial class Interpolators : Form
    {
        private Map map;
        ConfigurationMethod env;
        OperationsMap mapTrend; 
        public Interpolators(Map map)
        {
            this.map = map;
        
            InitializeComponent();
        }

        private void Interpolators_Load(object sender, EventArgs e)
        {
            uxTypeOfMethod.SetItemChecked(0, true);
            uxTypeOfOutput.SetItemChecked(0, true);
            uxTransformation.SelectedIndex = 0;
            uxRemoveTrend.SelectedIndex = 0;

                env = new ConfigurationMethod(
                this.map,
                uxTypeOfMethod, 
                uxTypeOfOutput, 
                uxLayer, 
                uxField, 
                uxTransformation, 
                uxRemoveTrend);

        }

        private void uxNext1_Click(object sender, EventArgs e)
        {
            if (env.Field != null)
            {
                if (env.Load())
                {
                    if (env.Trend != 0)
                    {

                        Trend t = new Trend(env.Data, 0, env.Trend - 1,env.MeanValue);
                        mapTrend = new OperationsMap(
                                                  map1,
                                                  uxZoomIn,
                                                  uxZoomOut,
                                                  null,
                                                  uxPan,
                                                  uxIdentify);
                        
                        mapTrend.ValuesMinMax=t.ExtentZ;
                        double cell = env.Data.Extent.Width / 50;
                        IRaster newgrid = t.Surface(env.Data.Extent, cell, env.Data.Projection, -32768, "c:\\temp\\t.bgd", 0);
                        mapTrend.Surface = newgrid;

                        uxGoodOfFit.Text= Convert.ToString(t.CrossValidation(0)[0]);

                        uxOrderOfPolynomial.Text = uxRemoveTrend.Text;

                        uxPages.TabPages[1].Enabled = true;
                        uxPages.SelectedIndex = 1;

                    }
                    else
                    {
                        uxPages.TabPages[1].Enabled = false;
                        uxPages.TabPages[2].Enabled = true;
                        uxPages.SelectedIndex = 2;
                    }

                }
            }
        }
    }
}
