﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DotSpatial.Data;
using DotSpatial.Projections;

namespace GeostatisticalTool.Classes
{
    public interface IInterpolator
    {
        string GetMethodName();
       SearchData GetSearch();
       ParameterInterpolator GetParameters();
       void SetParameters(ParameterInterpolator parameters);
       double[] GetMaxValuesZ();
       double[] Interpolate(double x, double y, bool include);
       double[] CrossValidation();
       IRaster Surface(Extent inExtents, double cellSize, ProjectionInfo projection, double noDataValue, string outGridPath);
       IRaster Surface(IRaster mask, Extent inExtents, double cellSize, ProjectionInfo projection, double noDataValue, string outGridPath);
    }
}
