﻿// ******************************************************************************************************
// <copyright file="select.designer.cs" company="Caroso.inc">
//     Copyright (c) Carlos Osorio All rights reserved.
// </copyright>
// ******************************************************************************************************
// The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); 
// you may not use this file except in compliance with the License. You may obtain a copy of the License at 
// http:// www.mozilla.org/MPL/ 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF 
// ANY KIND, either express or implied. See the License for the specificlanguage governing rights and 
// limitations under the License. 
// 
// 
// 
// The Initial Developer of this version of the Original Code is carlos Osorio carosocali@gmail.com
// 
// Contributor(s): (Open source contributors should list themselves and their modifications here). 
// Change Log: 
// Date           Changed By      Notes
// 22 Nov 2010    Carlos Osorio   Test in StyleCop
// ******************************************************************************************************
namespace GeostatisticalTool.Forms
{
    /// <summary>
    /// Definition of basis objects use in Select Class
    /// </summary>
    public partial class Select
    {
        /// <summary>
        /// This combox get the list of layers
        /// </summary>
        private System.Windows.Forms.ComboBox comboBox1;

        /// <summary>
        /// Text 1 uses in the form Select
        /// </summary>
        private System.Windows.Forms.Label label1;

        /// <summary>
        /// Text 2 uses in the form Select
        /// </summary>
        private System.Windows.Forms.Label label2;

        /// <summary>
        /// Text 3 uses in the form Select
        /// </summary>
        private System.Windows.Forms.Label label3;

        /// <summary>
        /// Group of elements in the form select
        /// </summary>
        private System.Windows.Forms.GroupBox groupBox1;

        /// <summary>
        /// List the fields available in the shapefile
        /// </summary>
        private System.Windows.Forms.ComboBox comboBox2;

        /// <summary>
        /// This is the container of the Semivariogram
        /// </summary>
        private System.Windows.Forms.PictureBox pictureBox1;

        /// <summary>
        /// Manage the option to display the semivariogram based on lags
        /// </summary>
        private System.Windows.Forms.RadioButton radioButton2;

        /// <summary>
        /// Manage the option to display all points in the semivariogram
        /// </summary>
        private System.Windows.Forms.RadioButton radioButton1;

        /// <summary>
        /// Action to display the semivariogram
        /// </summary>
        private System.Windows.Forms.Button verSemi;

        /// <summary>
        /// Group elements of the select form
        /// </summary>
        private System.Windows.Forms.GroupBox groupBox2;

        /// <summary>
        /// Text 4 uses in the form Select
        /// </summary>
        private System.Windows.Forms.Label label8;

        /// <summary>
        /// Textbox to chage the number of lags
        /// </summary>
        private System.Windows.Forms.TextBox txbnLags;

        /// <summary>
        /// Text 5 uses in the form Select
        /// </summary>
        private System.Windows.Forms.Label label7;

        /// <summary>
        /// Textbox to change the lenght of the lag
        /// </summary>
        private System.Windows.Forms.TextBox txblag;

        /// <summary>
        /// Textbox to change the max distance display in the semivarogram
        /// </summary>
        private System.Windows.Forms.TextBox txbmDist;

        /// <summary>
        /// Text 6 uses in the form Select
        /// </summary>
        private System.Windows.Forms.Label label6;

        /// <summary>
        /// Text 7 uses in the form Select
        /// </summary>
        private System.Windows.Forms.Label label4;

        /// <summary>
        /// Textbox to change the max semivariance displayed 
        /// </summary>
        private System.Windows.Forms.TextBox txbmVar;

        /// <summary>
        /// This button applies the changes in the semivariogram graphically
        /// </summary>
        private System.Windows.Forms.Button apply;

        /// <summary>
        /// Group of elements 
        /// </summary>
        private System.Windows.Forms.GroupBox groupBox3;

        /// <summary>
        /// This button applies the changes in the model
        /// </summary>
        private System.Windows.Forms.Button button1;

        /// <summary>
        /// Display the models available
        /// </summary>
        private System.Windows.Forms.ListBox listBox1;

        /// <summary>
        /// Text 8 uses in the form Select
        /// </summary>
        private System.Windows.Forms.Label label12;

        /// <summary>
        /// Change the value of the Sill (C1)
        /// </summary>
        private System.Windows.Forms.TextBox mtxc1;

        /// <summary>
        /// Text 9 uses in the form Select
        /// </summary>
        private System.Windows.Forms.Label label11;

        /// <summary>
        /// Change the value of the Nugget
        /// </summary>
        private System.Windows.Forms.TextBox mtxc0;

        /// <summary>
        /// Text 10 uses in the form Select
        /// </summary>
        private System.Windows.Forms.Label label10;

        /// <summary>
        /// Change the value in the Range
        /// </summary>
        private System.Windows.Forms.TextBox mtxrange;

        /// <summary>
        /// Group elements in the Select form
        /// </summary>
        private System.Windows.Forms.GroupBox groupBox4;

        /// <summary>
        /// Execute the interpolation
        /// </summary>
        private System.Windows.Forms.Button generate;

        /// <summary>
        /// Define the output path of the raster
        /// </summary>
        private System.Windows.Forms.TextBox pathfile;

        /// <summary>
        /// Text 12 uses in the form Select
        /// </summary>
        private System.Windows.Forms.Label label13;

        /// <summary>
        /// Open dialog to establish the output path
        /// </summary>
        private System.Windows.Forms.Button button3;

        /// <summary>
        /// Visualize the resolution of the output raster
        /// </summary>
        private System.Windows.Forms.TextBox resolution;

        /// <summary>
        /// Text 13 uses in the form Select
        /// </summary>
        private System.Windows.Forms.Label label9;

        /// <summary>
        /// Establish the number of points that should be used in the interpolation
        /// </summary>
        private System.Windows.Forms.TextBox nPn;

        /// <summary>
        /// Text 14 uses in the form Select
        /// </summary>
        private System.Windows.Forms.Label label16;

        /// <summary>
        /// Text 15 uses in the form Select
        /// </summary>
        private System.Windows.Forms.Label label15;

        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (this.components != null))
            {
                this.components.Dispose();
            }

            base.Dispose(disposing);
        }

        #region Windows Form Designer generated code

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.comboBox1 = new System.Windows.Forms.ComboBox();
            this.label1 = new System.Windows.Forms.Label();
            this.label2 = new System.Windows.Forms.Label();
            this.label3 = new System.Windows.Forms.Label();
            this.groupBox1 = new System.Windows.Forms.GroupBox();
            this.radioButton2 = new System.Windows.Forms.RadioButton();
            this.radioButton1 = new System.Windows.Forms.RadioButton();
            this.verSemi = new System.Windows.Forms.Button();
            this.comboBox2 = new System.Windows.Forms.ComboBox();
            this.pictureBox1 = new System.Windows.Forms.PictureBox();
            this.groupBox2 = new System.Windows.Forms.GroupBox();
            this.apply = new System.Windows.Forms.Button();
            this.label8 = new System.Windows.Forms.Label();
            this.txbnLags = new System.Windows.Forms.TextBox();
            this.label7 = new System.Windows.Forms.Label();
            this.txblag = new System.Windows.Forms.TextBox();
            this.txbmDist = new System.Windows.Forms.TextBox();
            this.label6 = new System.Windows.Forms.Label();
            this.label4 = new System.Windows.Forms.Label();
            this.txbmVar = new System.Windows.Forms.TextBox();
            this.groupBox3 = new System.Windows.Forms.GroupBox();
            this.nPn = new System.Windows.Forms.TextBox();
            this.label16 = new System.Windows.Forms.Label();
            this.label15 = new System.Windows.Forms.Label();
            this.button1 = new System.Windows.Forms.Button();
            this.listBox1 = new System.Windows.Forms.ListBox();
            this.label12 = new System.Windows.Forms.Label();
            this.mtxc1 = new System.Windows.Forms.TextBox();
            this.label11 = new System.Windows.Forms.Label();
            this.mtxc0 = new System.Windows.Forms.TextBox();
            this.label10 = new System.Windows.Forms.Label();
            this.mtxrange = new System.Windows.Forms.TextBox();
            this.groupBox4 = new System.Windows.Forms.GroupBox();
            this.label13 = new System.Windows.Forms.Label();
            this.button3 = new System.Windows.Forms.Button();
            this.resolution = new System.Windows.Forms.TextBox();
            this.label9 = new System.Windows.Forms.Label();
            this.generate = new System.Windows.Forms.Button();
            this.pathfile = new System.Windows.Forms.TextBox();
            this.groupBox1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).BeginInit();
            this.groupBox2.SuspendLayout();
            this.groupBox3.SuspendLayout();
            this.groupBox4.SuspendLayout();
            this.SuspendLayout();
            // 
            // comboBox1
            // 
            this.comboBox1.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.comboBox1.FormattingEnabled = true;
            this.comboBox1.Location = new System.Drawing.Point(97, 18);
            this.comboBox1.Name = "comboBox1";
            this.comboBox1.Size = new System.Drawing.Size(139, 21);
            this.comboBox1.TabIndex = 0;
            this.comboBox1.SelectedIndexChanged += new System.EventHandler(this.ComboBox1_SelectedIndexChanged);
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(261, 18);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(293, 13);
            this.label1.TabIndex = 1;
            this.label1.Text = "This tool creates a surface using the ordinary kriging method ";
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Location = new System.Drawing.Point(13, 28);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(29, 13);
            this.label2.TabIndex = 2;
            this.label2.Text = "Field";
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Location = new System.Drawing.Point(25, 18);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(66, 13);
            this.label3.TabIndex = 3;
            this.label3.Text = "Select Layer";
            // 
            // groupBox1
            // 
            this.groupBox1.Controls.Add(this.radioButton2);
            this.groupBox1.Controls.Add(this.radioButton1);
            this.groupBox1.Controls.Add(this.verSemi);
            this.groupBox1.Controls.Add(this.comboBox2);
            this.groupBox1.Controls.Add(this.label2);
            this.groupBox1.Enabled = false;
            this.groupBox1.Location = new System.Drawing.Point(28, 45);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new System.Drawing.Size(730, 69);
            this.groupBox1.TabIndex = 4;
            this.groupBox1.TabStop = false;
            this.groupBox1.Text = "Field with Z value";
            // 
            // radioButton2
            // 
            this.radioButton2.AutoSize = true;
            this.radioButton2.Checked = true;
            this.radioButton2.Location = new System.Drawing.Point(509, 28);
            this.radioButton2.Name = "radioButton2";
            this.radioButton2.Size = new System.Drawing.Size(114, 17);
            this.radioButton2.TabIndex = 5;
            this.radioButton2.TabStop = true;
            this.radioButton2.Text = "By invervals (Lags)";
            this.radioButton2.UseVisualStyleBackColor = true;
            // 
            // radioButton1
            // 
            this.radioButton1.AutoSize = true;
            this.radioButton1.Location = new System.Drawing.Point(388, 26);
            this.radioButton1.Name = "radioButton1";
            this.radioButton1.Size = new System.Drawing.Size(84, 17);
            this.radioButton1.TabIndex = 4;
            this.radioButton1.Text = "All distances";
            this.radioButton1.UseVisualStyleBackColor = true;
            // 
            // verSemi
            // 
            this.verSemi.Location = new System.Drawing.Point(238, 23);
            this.verSemi.Name = "verSemi";
            this.verSemi.Size = new System.Drawing.Size(119, 22);
            this.verSemi.TabIndex = 3;
            this.verSemi.Text = "Show semivariogram";
            this.verSemi.UseVisualStyleBackColor = true;
            this.verSemi.Click += new System.EventHandler(this.VerSemi_Click);
            // 
            // comboBox2
            // 
            this.comboBox2.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.comboBox2.FormattingEnabled = true;
            this.comboBox2.Location = new System.Drawing.Point(67, 25);
            this.comboBox2.Name = "comboBox2";
            this.comboBox2.Size = new System.Drawing.Size(141, 21);
            this.comboBox2.TabIndex = 0;
            this.comboBox2.SelectedIndexChanged += new System.EventHandler(this.ComboBox2_SelectedIndexChanged);
            // 
            // pictureBox1
            // 
            this.pictureBox1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.pictureBox1.Location = new System.Drawing.Point(28, 120);
            this.pictureBox1.Name = "pictureBox1";
            this.pictureBox1.Size = new System.Drawing.Size(550, 200);
            this.pictureBox1.TabIndex = 6;
            this.pictureBox1.TabStop = false;
            // 
            // groupBox2
            // 
            this.groupBox2.Controls.Add(this.apply);
            this.groupBox2.Controls.Add(this.label8);
            this.groupBox2.Controls.Add(this.txbnLags);
            this.groupBox2.Controls.Add(this.label7);
            this.groupBox2.Controls.Add(this.txblag);
            this.groupBox2.Controls.Add(this.txbmDist);
            this.groupBox2.Controls.Add(this.label6);
            this.groupBox2.Controls.Add(this.label4);
            this.groupBox2.Controls.Add(this.txbmVar);
            this.groupBox2.Enabled = false;
            this.groupBox2.Location = new System.Drawing.Point(584, 114);
            this.groupBox2.Name = "groupBox2";
            this.groupBox2.Size = new System.Drawing.Size(174, 206);
            this.groupBox2.TabIndex = 7;
            this.groupBox2.TabStop = false;
            this.groupBox2.Text = "Graph Options ";
            // 
            // apply
            // 
            this.apply.Location = new System.Drawing.Point(91, 144);
            this.apply.Name = "apply";
            this.apply.Size = new System.Drawing.Size(67, 21);
            this.apply.TabIndex = 8;
            this.apply.Text = "Apply";
            this.apply.UseVisualStyleBackColor = true;
            this.apply.Click += new System.EventHandler(this.Apply_Click);
            // 
            // label8
            // 
            this.label8.AutoSize = true;
            this.label8.Location = new System.Drawing.Point(11, 121);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(82, 13);
            this.label8.TabIndex = 7;
            this.label8.Text = "Number of Lags";
            // 
            // txbnLags
            // 
            this.txbnLags.Location = new System.Drawing.Point(108, 118);
            this.txbnLags.Name = "txbnLags";
            this.txbnLags.Size = new System.Drawing.Size(50, 20);
            this.txbnLags.TabIndex = 6;
            this.txbnLags.TextChanged += new System.EventHandler(this.Txb_nLags_TextChanged);
            // 
            // label7
            // 
            this.label7.AutoSize = true;
            this.label7.Location = new System.Drawing.Point(11, 99);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(25, 13);
            this.label7.TabIndex = 5;
            this.label7.Text = "Lag";
            // 
            // txblag
            // 
            this.txblag.Location = new System.Drawing.Point(108, 96);
            this.txblag.Name = "txblag";
            this.txblag.Size = new System.Drawing.Size(50, 20);
            this.txblag.TabIndex = 4;
            this.txblag.TextChanged += new System.EventHandler(this.Txb_lag_TextChanged);
            // 
            // txbmDist
            // 
            this.txbmDist.Location = new System.Drawing.Point(108, 73);
            this.txbmDist.Name = "txbmDist";
            this.txbmDist.Size = new System.Drawing.Size(50, 20);
            this.txbmDist.TabIndex = 3;
            this.txbmDist.TextChanged += new System.EventHandler(this.Txb_mDist_TextChanged);
            // 
            // label6
            // 
            this.label6.AutoSize = true;
            this.label6.Location = new System.Drawing.Point(11, 76);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(75, 13);
            this.label6.TabIndex = 2;
            this.label6.Text = "Max. Distance";
            // 
            // label4
            // 
            this.label4.AutoSize = true;
            this.label4.Location = new System.Drawing.Point(11, 54);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(97, 13);
            this.label4.TabIndex = 1;
            this.label4.Text = "Max. Semivariance";
            // 
            // txbmVar
            // 
            this.txbmVar.Location = new System.Drawing.Point(108, 51);
            this.txbmVar.Name = "txbmVar";
            this.txbmVar.Size = new System.Drawing.Size(50, 20);
            this.txbmVar.TabIndex = 0;
            this.txbmVar.TextChanged += new System.EventHandler(this.Txb_mVar_TextChanged);
            // 
            // groupBox3
            // 
            this.groupBox3.Controls.Add(this.nPn);
            this.groupBox3.Controls.Add(this.label16);
            this.groupBox3.Controls.Add(this.label15);
            this.groupBox3.Controls.Add(this.button1);
            this.groupBox3.Controls.Add(this.listBox1);
            this.groupBox3.Controls.Add(this.label12);
            this.groupBox3.Controls.Add(this.mtxc1);
            this.groupBox3.Controls.Add(this.label11);
            this.groupBox3.Controls.Add(this.mtxc0);
            this.groupBox3.Controls.Add(this.label10);
            this.groupBox3.Controls.Add(this.mtxrange);
            this.groupBox3.Enabled = false;
            this.groupBox3.Location = new System.Drawing.Point(28, 326);
            this.groupBox3.Name = "groupBox3";
            this.groupBox3.Size = new System.Drawing.Size(357, 101);
            this.groupBox3.TabIndex = 8;
            this.groupBox3.TabStop = false;
            this.groupBox3.Text = "Models";
            // 
            // nPn
            // 
            this.nPn.Location = new System.Drawing.Point(315, 35);
            this.nPn.Name = "nPn";
            this.nPn.Size = new System.Drawing.Size(32, 20);
            this.nPn.TabIndex = 20;
            this.nPn.Text = "5";
            // 
            // label16
            // 
            this.label16.AutoSize = true;
            this.label16.Location = new System.Drawing.Point(259, 35);
            this.label16.Name = "label16";
            this.label16.Size = new System.Drawing.Size(51, 13);
            this.label16.TabIndex = 19;
            this.label16.Text = "to search";
            // 
            // label15
            // 
            this.label15.AutoSize = true;
            this.label15.Location = new System.Drawing.Point(258, 19);
            this.label15.Name = "label15";
            this.label15.Size = new System.Drawing.Size(90, 13);
            this.label15.TabIndex = 18;
            this.label15.Text = "Number of points ";
            // 
            // button1
            // 
            this.button1.Location = new System.Drawing.Point(275, 70);
            this.button1.Name = "button1";
            this.button1.Size = new System.Drawing.Size(73, 23);
            this.button1.TabIndex = 16;
            this.button1.Text = "Apply model";
            this.button1.UseVisualStyleBackColor = true;
            this.button1.Click += new System.EventHandler(this.Button1_Click);
            // 
            // listBox1
            // 
            this.listBox1.FormattingEnabled = true;
            this.listBox1.Items.AddRange(new object[] {
            "Circular",
            "Exponential",
            "Gaussian",
            "Lineal",
            "Spherical"});
            this.listBox1.Location = new System.Drawing.Point(13, 19);
            this.listBox1.Name = "listBox1";
            this.listBox1.Size = new System.Drawing.Size(125, 69);
            this.listBox1.TabIndex = 15;
            this.listBox1.SelectedIndexChanged += new System.EventHandler(this.ListBox1_SelectedIndexChanged);
            // 
            // label12
            // 
            this.label12.AutoSize = true;
            this.label12.Location = new System.Drawing.Point(151, 72);
            this.label12.Name = "label12";
            this.label12.Size = new System.Drawing.Size(20, 13);
            this.label12.TabIndex = 14;
            this.label12.Text = "Sill";
            // 
            // mtxc1
            // 
            this.mtxc1.Location = new System.Drawing.Point(196, 69);
            this.mtxc1.Name = "mtxc1";
            this.mtxc1.Size = new System.Drawing.Size(50, 20);
            this.mtxc1.TabIndex = 13;
            // 
            // label11
            // 
            this.label11.AutoSize = true;
            this.label11.Location = new System.Drawing.Point(151, 49);
            this.label11.Name = "label11";
            this.label11.Size = new System.Drawing.Size(42, 13);
            this.label11.TabIndex = 12;
            this.label11.Text = "Nugget";
            // 
            // mtxc0
            // 
            this.mtxc0.Location = new System.Drawing.Point(196, 46);
            this.mtxc0.Name = "mtxc0";
            this.mtxc0.Size = new System.Drawing.Size(50, 20);
            this.mtxc0.TabIndex = 11;
            // 
            // label10
            // 
            this.label10.AutoSize = true;
            this.label10.Location = new System.Drawing.Point(151, 23);
            this.label10.Name = "label10";
            this.label10.Size = new System.Drawing.Size(39, 13);
            this.label10.TabIndex = 10;
            this.label10.Text = "Range";
            // 
            // mtxrange
            // 
            this.mtxrange.Location = new System.Drawing.Point(196, 20);
            this.mtxrange.Name = "mtxrange";
            this.mtxrange.Size = new System.Drawing.Size(50, 20);
            this.mtxrange.TabIndex = 9;
            // 
            // groupBox4
            // 
            this.groupBox4.Controls.Add(this.label13);
            this.groupBox4.Controls.Add(this.button3);
            this.groupBox4.Controls.Add(this.resolution);
            this.groupBox4.Controls.Add(this.label9);
            this.groupBox4.Controls.Add(this.generate);
            this.groupBox4.Controls.Add(this.pathfile);
            this.groupBox4.Enabled = false;
            this.groupBox4.Location = new System.Drawing.Point(391, 326);
            this.groupBox4.Name = "groupBox4";
            this.groupBox4.Size = new System.Drawing.Size(367, 101);
            this.groupBox4.TabIndex = 9;
            this.groupBox4.TabStop = false;
            this.groupBox4.Text = "Output settings";
            // 
            // label13
            // 
            this.label13.AutoSize = true;
            this.label13.Location = new System.Drawing.Point(6, 49);
            this.label13.Name = "label13";
            this.label13.Size = new System.Drawing.Size(57, 13);
            this.label13.TabIndex = 11;
            this.label13.Text = "Resolution";
            // 
            // button3
            // 
            this.button3.Location = new System.Drawing.Point(324, 20);
            this.button3.Name = "button3";
            this.button3.Size = new System.Drawing.Size(21, 21);
            this.button3.TabIndex = 10;
            this.button3.Text = "...";
            this.button3.UseVisualStyleBackColor = true;
            this.button3.Click += new System.EventHandler(this.Button3_Click);
            // 
            // resolution
            // 
            this.resolution.Location = new System.Drawing.Point(69, 43);
            this.resolution.Name = "resolution";
            this.resolution.Size = new System.Drawing.Size(50, 20);
            this.resolution.TabIndex = 9;
            // 
            // label9
            // 
            this.label9.AutoSize = true;
            this.label9.Location = new System.Drawing.Point(6, 22);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(49, 13);
            this.label9.TabIndex = 9;
            this.label9.Text = "Filename";
            // 
            // generate
            // 
            this.generate.Location = new System.Drawing.Point(217, 47);
            this.generate.Name = "generate";
            this.generate.Size = new System.Drawing.Size(128, 21);
            this.generate.TabIndex = 1;
            this.generate.Text = "Generate Surface";
            this.generate.UseVisualStyleBackColor = true;
            this.generate.Click += new System.EventHandler(this.Generate_Click);
            // 
            // pathfile
            // 
            this.pathfile.Location = new System.Drawing.Point(69, 20);
            this.pathfile.Name = "pathfile";
            this.pathfile.Size = new System.Drawing.Size(249, 20);
            this.pathfile.TabIndex = 0;
            this.pathfile.Text = "c:/temporal/example.bil";
            // 
            // Select
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(770, 437);
            this.Controls.Add(this.groupBox4);
            this.Controls.Add(this.groupBox3);
            this.Controls.Add(this.groupBox2);
            this.Controls.Add(this.pictureBox1);
            this.Controls.Add(this.groupBox1);
            this.Controls.Add(this.label3);
            this.Controls.Add(this.label1);
            this.Controls.Add(this.comboBox1);
            this.Name = "Select";
            this.Text = "Ordinary Kriging ";
            this.Load += new System.EventHandler(this.Select_Load);
            this.groupBox1.ResumeLayout(false);
            this.groupBox1.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).EndInit();
            this.groupBox2.ResumeLayout(false);
            this.groupBox2.PerformLayout();
            this.groupBox3.ResumeLayout(false);
            this.groupBox3.PerformLayout();
            this.groupBox4.ResumeLayout(false);
            this.groupBox4.PerformLayout();
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        #endregion
    }
}